var OldChangeMap      = ChangeMap;
var OldMapEngine      = MapEngine;
var OldAttachInput    = AttachInput;
var OldDetachInput    = DetachInput;
var OldGetInputPerson = GetInputPerson;

var g_input_person = "";
var g_current_map  = "";
function GetCurrentMap() {
  return g_current_map;
}

init_hacks();
function init_hacks() {
  ChangeMap = function(filename) {
    g_current_map = filename;
    OldChangeMap(filename);
  }

  MapEngine = function(filename, fps) {
    g_current_map = filename;
    OldMapEngine(filename, fps);
  }

  AttachInput = function(person) {
    g_input_person = person;
    OldAttachInput(person);
  }

  DetachInput = function() {
    g_input_person = "";
    OldDetachInput();
  }
}

function IgnoreInput() {
  var tmp = g_input_person;
  DetachInput(g_input_person);
  g_input_person = tmp;
}

function UnignoreInput() {
  AttachInput(g_input_person);
}
