function QueuePersonCommandRepeatedly(person, command, times) {
  for (var i = 0; i < times; ++i)
    QueuePersonCommand(person, command, false);
}

function Move(person, command, tiles) {
  switch(command) {
    case (COMMAND_MOVE_NORTH):
      if (GetPersonDirection(person) != "north")
        SetPersonDirection(person, "north");
      QueuePersonCommandRepeatedly(person, command, tiles * GetTileHeight());
    break;

    case (COMMAND_MOVE_EAST):
      if (GetPersonDirection(person) != "east")
        SetPersonDirection(person, "east");
      QueuePersonCommandRepeatedly(person, command, tiles * GetTileWidth());
    break;

    case (COMMAND_MOVE_SOUTH):
      if (GetPersonDirection(person) != "south")
        SetPersonDirection(person, "south");
      QueuePersonCommandRepeatedly(person, command, tiles * GetTileHeight());
    break;

    case (COMMAND_MOVE_WEST):
      if (GetPersonDirection(person) != "west")
        SetPersonDirection(person, "west");
      QueuePersonCommandRepeatedly(person, command, tiles * GetTileWidth());
    break;

    case (COMMAND_WAIT):
      QueuePersonCommandRepeatedly(person, command, tiles * GetTileWidth());
    break;
  }
}

function MoveRandomly(person) {
  var commands = [COMMAND_MOVE_NORTH, COMMAND_MOVE_EAST, COMMAND_MOVE_SOUTH, COMMAND_MOVE_WEST, COMMAND_WAIT];
  Move(person, commands[Math.floor(Math.random() * commands.length)], 1);
}