
EvaluateSystemScript("convert.js");
EvaluateSystemScript("screen.js");
EvaluateScript("flik_menu.js");

EvaluateScript("hacks.js");
EvaluateScript("audio.js");
EvaluateScript("maps.js");
EvaluateScript("battle.js");
EvaluateScript("movement.js");

///////////////////////////////////////////////////////////

var gMapTextArray = new Array();
function MapText(text, important)
{ 
  if (important)
  {  
    IgnoreInput();
    while (!BiosKeyPressed(KEY_ENTER)) {
      RenderMap();
      DrawMapText(text);
      FlipScreen();
    }
    ClearKeyQueue();
    UnignoreInput();
  }
  else
    gMapTextArray.push(text);  
}

///////////////////////////////////////////////////////////

function DrawMapText(text) {
  var x = 16;
  var width = GetScreenWidth() - 32;
  var height = GetSystemFont().getStringHeight(text, width);
  var y = GetScreenHeight() - 16 - height;

  if (IsPersonWithinArea("Jimmy", ScreenX(0), ScreenY(y), width + 16, height + 16))
    y = 135;

  GetSystemWindowStyle().drawWindow(x, y, width, height);
  GetSystemFont().drawTextBox(x, y, width, height, 0, text);
}

//////////////////////////////////////

function MapRestoreHealth() {
  if (gCombatants[0].hp < gCombatants[0].maxhp)
  {
    while (gCombatants[0].hp < gCombatants[0].maxhp) {
      RenderMap();
      RenderScript();
      gCombatants[0].hp += 1;
      Delay(10);
      FlipScreen();
    }
    MapText("Restored.", false);
  }
}

///////////////////////////////////////////////////////////

function IsPersonWithinArea(person, x, y, width, height) {
  if (GetPersonX(person) >= x)
    if (GetPersonX(person) <= x + width)
      if (GetPersonY(person) >= y)
        if (GetPersonY(person) <= y + height)
          return true;
  return false;
}

///////////////////////////////////////////////////////////

function RenderScript()
{ 
  if (!IsPersonWithinArea("Jimmy", ScreenX(0), ScreenY(0), 135, 70))
  {
    GetSystemWindowStyle().drawWindow(16, 16, 100, 30);
    GetSystemFont().drawText(16, 16, "Battery: ");
    var width = gCombatants[0].hp / gCombatants[0].maxhp * 30;
    Rectangle(72, 16 + GetSystemFont().getHeight() / 3,
              width, GetSystemFont().getHeight() / 2 , CreateColor(100, 214, 123));
  }

  if (gMapTextArray.length > 0)
  {
    DrawMapText(gMapTextArray[0]);

    if (BiosKeyPressed(KEY_ENTER)) {
      gMapTextArray = gMapTextArray.slice(1);
    }
  }
}

//////////////////////////////////////

function game() {
  LoadImage("title.png").blit(0,0);
  FadeIn(750);
  // PlayMusic("blank.wav");
  SetRenderScript("RenderScript()");
  CreateJimmy();
  CreatePerson("Jimmy", "jimmy.rss", false);
  AttachInput("Jimmy");
  AttachCamera("Jimmy");
  MapEngine("beach.rmp", 60);
}

///////////////////////////////////////////////////////////


